package com.chushang.inspection.work.service;

import com.chushang.common.mybatis.utils.PageResult;
import com.chushang.inspection.work.dto.BankDispatchQuery;
import com.chushang.inspection.work.dto.WrkIcbcJsReceive;
import com.chushang.inspection.work.po.WrkIcbcJs;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chushang.inspection.work.vo.BankDispatchDTO;
import com.chushang.inspection.work.vo.WrkInfoDetailsVO;

/**
 * @auther: zhao
 * @date: 2024/6/28 15:38
 */
public interface WrkIcbcJsService extends IService<WrkIcbcJs> {
    void receive(WrkIcbcJsReceive dto);

    PageResult queryDispatchPage(BankDispatchQuery query);

    BankDispatchDTO info(Long id);

    void update(BankDispatchDTO dispatch);

    void dispatchOrder(WrkIcbcJs entity, Long userId);

    void manualPush(Long id);

    void push(WrkInfoDetailsVO infoDetail);

}
